- Qt 5.15
- Qt 3D
- QML Types
- StencilOperation QML Type
- Qt 5.15.8 Reference Documentation

# StencilOperation QML Type

The StencilOperation type specifies stencil operation. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.7
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- back : StencilOperationArguments
- front : StencilOperationArguments

## Detailed Description

A StencilOperation type specifies the stencil operations for the front- and back-facing polygons. The stencil operation control what is done to fragment when the stencil and depth test pass or fail.

See also StencilTest.

## Property Documentation

back : StencilOperationArguments

Holds the stencil operation arguments for back-facing polygons.

front : StencilOperationArguments

Holds the stencil operation arguments for front-facing polygons.